<div id="purchaseddeals" class="user-panel-tab-view mb-4 panelBar changepassword-panel">
    <div class="shadow-sm rounded overflow-hidden bg-white">
        <div class="title-section ">
            <div class="d-flex p-4 border-bottom">
                <div class="p-2">
                    <h5 class="mb-0">
                        <span>
                            <i class="fa fa-arrow-left cursor-pointer" aria-hidden="true"
                                (click)="backToMyAccount('myaccount')"></i>
                        </span> &nbsp; Change Pin
                    </h5>
                </div>
            </div>
        </div>

        <div class="container mt-2 mb-4">
            <div class="row">
                <div class="col-md-6 align-self-start">
                    <form>
                        <div class="mt-3">
                            <div class="input-group">
                                <input [type]="ShowPassword1 ? 'password' : 'text'" name="oldPin" id="oldPin"
                                    class="form-control" placeholder="Enter your old 4 digit Pin"
                                    [(ngModel)]="password.oldPin" minlength="4" maxlength="4"
                                    oninput="this.value=this.value.replace(/[^0-9]/g,'')">
                                <span class="input-group-text inputstyle togglePassword bg-whit"
                                    style="padding-bottom:0px">
                                    <a *ngIf="ShowPassword1" class="align-items-center cursor-pointer">
                                        <i class="fa fa-eye-slash eyeIcon" aria-hidden="true"
                                            (click)="ToogleShowHidePassword('old')">
                                        </i>
                                    </a>
                                    <a *ngIf="!ShowPassword1" class="align-items-center cursor-pointer">
                                        <i class="fa fa-eye eyeIcon" aria-hidden="true"
                                            (click)="ToogleShowHidePassword('old')">
                                        </i></a>
                                </span>
                            </div>
                        </div>

                        <div class="mt-3">
                            <div class="input-group">
                                <input [type]="ShowPassword2 ? 'password' : 'text'" name="newPin" id="newPin"
                                    class="form-control" placeholder="Enter your NEW 4 digit Pin"
                                    [(ngModel)]="password.newPin" minlength="4" maxlength="4"
                                    oninput="this.value=this.value.replace(/[^0-9]/g,'')">
                                <span class="input-group-text inputstyle togglePassword bg-whit"
                                    style="padding-bottom:0px">
                                    <a *ngIf="ShowPassword2" class="align-items-center cursor-pointer">
                                        <i class="fa fa-eye-slash eyeIcon" aria-hidden="true"
                                            (click)="ToogleShowHidePassword('new')">
                                        </i>
                                    </a>
                                    <a *ngIf="!ShowPassword2" class="align-items-center cursor-pointer">
                                        <i class="fa fa-eye eyeIcon" aria-hidden="true"
                                            (click)="ToogleShowHidePassword('new')">
                                        </i></a>
                                </span>
                            </div>
                        </div>

                        <div class="mt-3">
                            <div class="input-group">
                                <input [type]="ShowPassword3 ? 'password' : 'text'" name="confirmPin"
                                    id="confirmPin" class="form-control" placeholder="Retype  your NEW 4 digit Pin"
                                    [(ngModel)]="password.confirmPin" minlength="4" maxlength="4"
                                    oninput="this.value=this.value.replace(/[^0-9]/g,'')">

                                <span class="input-group-text inputstyle togglePassword bg-whit"
                                    style="padding-bottom:0px">
                                    <a *ngIf="ShowPassword3" class="align-items-center cursor-pointer">
                                        <i class="fa fa-eye-slash eyeIcon" aria-hidden="true"
                                            (click)="ToogleShowHidePassword('confirm')">
                                        </i>
                                    </a>
                                    <a *ngIf="!ShowPassword3" class="align-items-center cursor-pointer">
                                        <i class="fa fa-eye eyeIcon" aria-hidden="true"
                                            (click)="ToogleShowHidePassword('confirm')">
                                        </i></a>
                                </span>
                            </div>
                        </div>

                        <div class="mt-4">
                            <button class="btn btn-block btnbg" *ngIf="!_HelperService.IsProcessing" (click)="submitForm()">Save</button>
                            <button class="btn btn-block btnbg" disabled *ngIf="_HelperService.IsProcessing">Please wait..</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

    </div>
</div>